Page MenuHomePhabricator

Tools can get marked as enabled/disabled incorrectly in NWE
Closed, ResolvedPublic8 Story Points

Description

  • Format tool always shows Paragraph as ticked format
  • Bolding something does not always mark Bold as enabled
  • Changing something from Bold+Italic to just Italic or just Bold marks both as disabled
  • Changing some text to a bullet list does not mark bullet list as enabled
  • Changing something to not be a numbered list will leave it marked as enabled

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
ResolvedEsanders

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2016, 10:13 PM
Jdforrester-WMF triaged this task as Normal priority.Aug 31 2016, 7:17 PM
Jdforrester-WMF set the point value for this task to 8.

It's possible we may not want to do all of these things for performance reasons. In VE we can just lookup the annotations at a particular offset, whereas in wikitext we need to run a RegEx over the whole paragraph for every annotation that is known about.

Also it may not make as much sense as you can't always remove annotations from your selection, so saying that a given selection is annotated may be misleading.

Jdforrester-WMF closed this task as Resolved.Oct 20 2016, 5:29 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

OK, let's mark this as Resolved for now and we can re-visit later if we remain unhappy.